export interface AnyObject {
  [key: string]: any
}

export interface StringObject {
  [key: string]: string
}

export interface NumberObject {
  [key: string]: number
}

export interface OptionsType {
  value: unknown
  label: string
}

export interface NodeOptions extends OptionsType {
  children?: NodeOptions[]
}

export interface GetParams {
  body: null
  type: string
  url: string
}

export interface PostData {
  body: string
  type: string
  url: string
}

export interface Pagination {
  current: number
  pageSize: number
  total?: number
}

export type TimeRanger = [string, string]

export interface GeneralChart {
  xAxis: string[]
  data: Array<{ name: string; value: number[] }>
}
